Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.text
Class SwingTextAPIDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.text.TextAPIDriver
                  |
                  +--org.netbeans.jemmy.drivers.text.SwingTextAPIDriver

All Implemented Interfaces:
  LightDriver, TextDriver

public class SwingTextAPIDriver
extends TextAPIDriver

TextDriver for swing component types. Uses API calls.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Constructor Summary
`SwingTextAPIDriver()` Constructs a SwingTextAPIDriver.

Method Summary
`int` | `getCaretPosition(ComponentOperator oper)` Returns current caret position.
`int` | `getSelectionEnd(ComponentOperator oper)` Returns a caret position of selection end.
`int` | `getSelectionStart(ComponentOperator oper)` Returns a caret position of selection start.
`java.lang.String` | `getText(ComponentOperator oper)` Returns operator's text.

Methods inherited from class org.netbeans.jemmy.drivers.text.TextAPIDriver
`changeCaretPosition, changeText, clearText, enterText, selectText, typeText`

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwingTextAPIDriver

    public SwingTextAPIDriver()

  Constructs a SwingTextAPIDriver.

Method Detail

### getText

    public java.lang.String getText(ComponentOperator oper)

  Description copied from class: `TextAPIDriver`
  Returns operator's text.
  Overrides:
    `getText` in class `TextAPIDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.text.TextAPIDriver`
  Parameters:
    `oper` - an operator.
  Returns:
    string representing component text.

### getCaretPosition

    public int getCaretPosition(ComponentOperator oper)

  Description copied from class: `TextAPIDriver`
  Returns current caret position.
  Overrides:
    `getCaretPosition` in class `TextAPIDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.text.TextAPIDriver`
  Parameters:
    `oper` - an operator.
  Returns:
    int represnting current operator's caret position.

### getSelectionStart

    public int getSelectionStart(ComponentOperator oper)

  Description copied from class: `TextAPIDriver`
  Returns a caret position of selection start.
  Overrides:
    `getSelectionStart` in class `TextAPIDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.text.TextAPIDriver`
  Parameters:
    `oper` - an operator.
  Returns:
    int represnting index of operator's selection start.

### getSelectionEnd

    public int getSelectionEnd(ComponentOperator oper)

  Description copied from class: `TextAPIDriver`
  Returns a caret position of selection end.
  Overrides:
    `getSelectionEnd` in class `TextAPIDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.text.TextAPIDriver`
  Parameters:
    `oper` - an operator.
  Returns:
    int represnting index of operator's selection end.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD